/*
 * Copyright (C) 2012, Eric Wong <normalperson@yhbt.net>
 * License: GPLv3 or later (see COPYING for details)
 */
struct mog_queue;
struct mog_fd;
struct mog_iostat {
	int cs;
	bool ready;
	uint8_t util_tip;
	uint8_t dev_tip;
	struct mog_queue *queue;
	char util[sizeof("1666.00")];
	char dev[72]; /* this is way larger than it needs to be... */
};

enum mog_iostat_parser_state {
	MOG_IOSTAT_PARSER_ERROR = -1,
	MOG_IOSTAT_PARSER_DONE = 0,
	MOG_IOSTAT_PARSER_WANTREAD = 1
};

void mog_iostat_init(struct mog_iostat *);
int mog_iostat_parse(struct mog_iostat *, char *buf, size_t len);
void mog_iostat_commit(void);
void mog_iostat_line_done(struct mog_iostat *);
void mog_iostat_queue_step(struct mog_fd *);
